%define debug_package %{nil}

Name:           clinkcc
Version:        171
Release:        1%{?dist}
Summary:        CyberLink for C++ is a development package for UPnP programmers

Group:          Development/Libraries
License:        BSD
URL:            http://downloads.sourceforge.net/clinkcc
Source0:        http://downloads.sourceforge.net/clinkcc/clinkcc%{version}.tar.gz
Patch0:         clinkcc.patch
Patch1:         clinkcc-service.patch
Patch2:         clinkcc-mysqlclient.patch
Patch3:         clinkcc-mode.patch
Patch4:         clinkcc-typedef.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libtool, gettext-devel

BuildRequires:  expat-devel
BuildRequires:  libxml2-devel
BuildRequires:  mysql-devel
 

%description
CyberLink for C++ is a development package for UPnP programmers. 
Using the package, you can create UPnP devices and control points easily.


%prep
%setup -q -n CyberLink
%patch0 -p1 -b .xml
%patch1 -p1 -b .service
%patch2 -p1 -b .mysqlclient
%patch3 -p1 -b .mode
%patch4 -p1 -b .typedef

# lib64 tweak
%if %{?_lib} == "lib64"
sed -i -e 's|/usr/lib/mysql|%{_libdir}/mysql|' configure.in
%endif

# Re-run autotools
cp -p %{_datadir}/gettext/config.rpath config
./bootstrap


%build
export CXXFLAGS="$RPM_OPT_FLAGS -fPIC"
export LDFLAGS="-L%{_libdir}/mysql"
%configure --disable-rpath --disable-static --enable-shared --enable-expat --enable-mythtv --enable-libxml2

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p" CPPROG="cp -p"

install -pm 0644 include/cybergarage/io/Reader.h $RPM_BUILD_ROOT%{_includedir}/cybergarage/io

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_includedir}/cybergarage/
%{_libdir}/libclink.a


%changelog
* Tue Mar 18 2008 kwizart < kwizart at gmail.com > - 171-1
- Initial package.

